LoggingManager (Gradle API 2.14.1)
Date: 2016-07-18

org.gradle.api.logging

## Interface LoggingManager

- All Superinterfaces:
    LoggingOutput

      public interface LoggingManager
      extends LoggingOutput

  A `LoggingManager` provides access to and control over the Gradle logging system. Using this interface, you can control the current logging level and standard output and error capture.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `LoggingManager` | `captureStandardError(LogLevel level)` Requests that output written to System.err be routed to Gradle's logging system.
    `LoggingManager` | `captureStandardOutput(LogLevel level)` Requests that output written to System.out be routed to Gradle's logging system.
    `LogLevel` | `getLevel()` Returns the current logging level.
    `LogLevel` | `getStandardErrorCaptureLevel()` Returns the log level that output written to System.err will be mapped to.
    `LogLevel` | `getStandardOutputCaptureLevel()` Returns the log level that output written to System.out will be mapped to.
    `LoggingManager` | `setLevel(LogLevel logLevel)` Deprecated.

    - ### Methods inherited from interface org.gradle.api.logging.LoggingOutput

      `addStandardErrorListener, addStandardOutputListener, removeStandardErrorListener, removeStandardOutputListener`

- - ### Method Detail

    - #### captureStandardOutput

          LoggingManager captureStandardOutput(LogLevel level)

      Requests that output written to System.out be routed to Gradle's logging system. The default is that System.out is routed to `LogLevel.QUIET`
      Parameters:
        `level` - The log level to route System.out to.
      Returns:
        this

    - #### captureStandardError

          LoggingManager captureStandardError(LogLevel level)

      Requests that output written to System.err be routed to Gradle's logging system. The default is that System.err is routed to `LogLevel.ERROR`.
      Parameters:
        `level` - The log level to route System.err to.
      Returns:
        this

    - #### getStandardOutputCaptureLevel

          LogLevel getStandardOutputCaptureLevel()

      Returns the log level that output written to System.out will be mapped to.
      Returns:
        The log level. Returns null when standard output capture is disabled.

    - #### getStandardErrorCaptureLevel

          LogLevel getStandardErrorCaptureLevel()

      Returns the log level that output written to System.err will be mapped to.
      Returns:
        The log level. Returns null when standard error capture is disabled.

    - #### getLevel

          LogLevel getLevel()

      Returns the current logging level.
      Returns:
        The current logging level.

    - #### setLevel

          @Deprecated
          LoggingManager setLevel(LogLevel logLevel)

      Deprecated.
      Sets the minimum logging level. All messages at a lower level are discarded.
      Parameters:
        `logLevel` - The minimum logging level.
      Returns:
        this